OpenTTD: GraphicsSet Struct Reference

OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions | Data Fields
GraphicsSet Struct Reference

All data of a graphics set. More...

`#include <base_media_base.h>`

Inheritance diagram for GraphicsSet:

## Public Member Functions
bool | FillSetDetails (struct IniFile *ini, const char *path, const char *full_filename)
Public Member Functions inherited from BaseSet< GraphicsSet, MAX_GFT, true >
| ~BaseSet ()
| Free everything we allocated.
int | GetNumMissing () const
| Get the number of missing files.
int | GetNumInvalid () const
| Get the number of invalid files.
bool | FillSetDetails (IniFile *ini, const char *path, const char *full_filename, bool allow_empty_filename=true)
const char * | GetDescription (const char *isocode=NULL) const
| Get the description for the given ISO code.
const char * | GetTextfile (TextfileType type) const
| Search a textfile file next to this base media.

## Static Public Member Functions
static MD5File::ChecksumResult | CheckMD5 (const MD5File *file, Subdirectory subdir)
| Calculate and check the MD5 hash of the supplied GRF.

## Data Fields
PaletteType | palette
| Palette of this graphics set.
BlitterType | blitter
| Blitter of this graphics set.
Data Fields inherited from BaseSet< GraphicsSet, MAX_GFT, true >
const char * | name
| The name of the base set.
TranslatedStrings | description
| Description of the base set.
uint32 | shortname
| Four letter short variant of the name.
uint32 | version
| The version of this base set.
bool | fallback
| This set is a fallback set, i.e. it should be used only as last resort.
MD5File | files [NUM_FILES]
| All files part of this set.
uint | found_files
| Number of the files that could be found.
uint | valid_files
| Number of the files that could be found and are valid.
GraphicsSet * | next
| The next base set in this list.

## Additional Inherited Members
Public Types inherited from BaseSet< GraphicsSet, MAX_GFT, true >
typedef SmallMap< const char *, const char * > | TranslatedStrings
Static Public Attributes inherited from BaseSet< GraphicsSet, MAX_GFT, true >
static const size_t | NUM_FILES
| Number of files in this set.
static const bool | SEARCH_IN_TARS
| Whether to search in the tars or not.
static const char *const * | file_names
| Internal names of the files in this set.

## Detailed Description

All data of a graphics set.

Definition at line 250 of file base_media_base.h.

## Member Function Documentation

MD5File::ChecksumResult GraphicsSet::CheckMD5 | ( | const MD5File * | file,
|  | Subdirectory | subdir
| ) |  |
| static

Calculate and check the MD5 hash of the supplied GRF.

Parameters

  file | The file get the hash of.
  subdir | The sub directory to get the files from.

Returns
  - #CR_MATCH if the MD5 hash matches
  - #CR_MISMATCH if the MD5 does not match
  - #CR_NO_FILE if the file misses

Reimplemented from BaseSet< GraphicsSet, MAX_GFT, true >.

Definition at line 376 of file gfxinit.cpp.

References MD5File::CheckMD5(), MD5File::CR_NO_FILE, MD5File::filename, FioFCloseFile(), FioFOpenFile(), GRFGetSizeOfDataSection(), and max().

Referenced by CheckExternalFiles().

The documentation for this struct was generated from the following files:

- src/base_media_base.h
- src/gfxinit.cpp